Search documentation of ExStreamClient

# ExStreamClient.Model.CheckPushResponse (ExStreamClient v0.1.10)

View Source

Schema representing a CheckPushResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.CheckPushResponse{
      device_errors:
        %{optional(String.t()) => ExStreamClient.Model.DeviceErrorInfo.t()} | nil,
      duration: String.t(),
      general_errors: [String.t()] | nil,
      rendered_apn_template: String.t() | nil,
      rendered_firebase_template: String.t() | nil,
      rendered_message: %{optional(String.t()) => String.t()} | nil,
      skip_devices: boolean() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()